Bug 660438 (CVE-2010-3774) - CVE-2010-3774 Mozilla location bar SSL spoofing using network error page (MFSA 2010-83)
Summary: CVE-2010-3774 Mozilla location bar SSL spoofing using network error page (MFS...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3774
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101209,reported=20101203,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 19:21 UTC by Josh Bressers
Modified: 2019-06-08 18:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 18:51:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0966 normal SHIPPED_LIVE Critical: firefox security update 2010-12-09 23:08:48 UTC

Description Josh Bressers 2010-12-06 19:21:39 UTC
Google security researcher Michal Zalewski reported that when a window was
opened to a site resulting in a network or certificate error page, the
opening site could access the document inside the opened window and inject
arbitrary content. An attacker could use this bug to spoof the location bar
and trick a user into thinking they were on a different site than they
actually were.

Comment 1 Vincent Danen 2010-12-09 22:10:52 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-83.html

Comment 2 errata-xmlrpc 2010-12-09 23:09:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html


Note You need to log in before you can comment on or make changes to this bug.